Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class VMCore

`java.lang.Object
oracle.ovs.api.datamodel.resource.VMCore`

All Implemented Interfaces:
  java.io.Serializable

      public class VMCore

extends java.lang.Object
implements java.io.Serializable

VMCore datamodel represents the core information of a virtual machine or a virtual machine template

See Also:
  Serialized Form

Method Summary
`static VMCore` | `createExternalImage(java.lang.String imgName)`
`static VMCore` | `createExternalTemplate(java.lang.String imgName)`
`static VMCore` | `createImageInstance(java.lang.String imgName, ImportTypes importType)`
`static VMCore` | `createInternalImage(java.lang.String imgName)`
`static VMCore` | `createInternalTemplate(java.lang.String imgName)`
`static VMCore` | `createTemplateInstance(java.lang.String imgName, ImportTypes importType)`
`java.lang.Long` | `getCreateTime()`
`java.lang.Double` | `getGroupId()`
`java.lang.Long` | `getImgId()`
`java.lang.String` | `getImgName()`
`ImportTypes` | `getImportType()`
`java.lang.Long` | `getParentImg()`
`Resources` | `getResourceType()`
`java.lang.String` | `getStatus()`
`java.lang.Double` | `getUserId()`
`void` | `setCreateTime(java.lang.Long createTime)`
`void` | `setGroupId(java.lang.Double groupId)`
`void` | `setImgId(java.lang.Long imgId)`
`void` | `setImgName(java.lang.String imgName)`
`void` | `setImportType(ImportTypes importType)`
`void` | `setResourceType(Resources resourceType)`
`void` | `setStatus(java.lang.String status)`
`void` | `setUserId(java.lang.Double userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createTemplateInstance

    public static VMCore createTemplateInstance(java.lang.String imgName,
                                                ImportTypes importType)

### createImageInstance

    public static VMCore createImageInstance(java.lang.String imgName,
                                             ImportTypes importType)

### createInternalTemplate

    public static VMCore createInternalTemplate(java.lang.String imgName)

### createExternalTemplate

    public static VMCore createExternalTemplate(java.lang.String imgName)

### createInternalImage

    public static VMCore createInternalImage(java.lang.String imgName)

### createExternalImage

    public static VMCore createExternalImage(java.lang.String imgName)

### getCreateTime

    public java.lang.Long getCreateTime()

### getImgId

    public java.lang.Long getImgId()

### getImgName

    public java.lang.String getImgName()

### getParentImg

    public java.lang.Long getParentImg()

### getStatus

    public java.lang.String getStatus()

### setCreateTime

    public void setCreateTime(java.lang.Long createTime)

### setImgId

    public void setImgId(java.lang.Long imgId)

### setImgName

    public void setImgName(java.lang.String imgName)

### setStatus

    public void setStatus(java.lang.String status)

### setResourceType

    public void setResourceType(Resources resourceType)

### getResourceType

    public Resources getResourceType()

### setImportType

    public void setImportType(ImportTypes importType)

### getImportType

    public ImportTypes getImportType()

### setUserId

    public void setUserId(java.lang.Double userId)

### getUserId

    public java.lang.Double getUserId()

### setGroupId

    public void setGroupId(java.lang.Double groupId)

### getGroupId

    public java.lang.Double getGroupId()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.